# Matches

Extends \ProjectComponent Implements \Condition

Simple regular expression condition.

author | Siad Ardroumli siad.ardroumli@gmail.com
package | phing.tasks.system.condition

### Methods

## evaluate

    evaluate() : boolean

### Response

`boolean`

## Returns a reference to current project

    getProject() : \Project

inherited

### Response

`\Project`

Reference to current porject object

## Logs a message with the given priority.

    log(string $msg, integer $level = \Project::MSG_INFO) : void

inherited

### Arguments

#### $msg

`string`

The message to be logged.

#### $level

`integer`

The message's priority at this message should have

## setCaseSensitive

    setCaseSensitive(boolean $caseSensitive)

### Arguments

#### $caseSensitive

`boolean`

## setModifiers

    setModifiers(string $modifiers)

### Arguments

#### $modifiers

`string`

## Whether to match should be multiline.

    setMultiLine(boolean $multiLine)

### Arguments

#### $multiLine

`boolean`

## setPattern

    setPattern(string $pattern)

throws |

### Arguments

#### $pattern

`string`

## References the project to the current component.

    setProject(\Project $project) : void

inherited

### Arguments

#### $project

`\Project`

The reference to the current project

## The string to match

    setString(string $string)

### Arguments

#### $string

`string`

### Properties

## string

    string : string

var |

### Type(s)

`string`

## regularExpression

    regularExpression : \RegularExpression

var |

### Type(s)

`\RegularExpression`

## multiLine

    multiLine : boolean

var |

### Type(s)

`boolean`

## caseSensitive

    caseSensitive : boolean

var |

### Type(s)

`boolean`

## modifiers

    modifiers : string

var |

### Type(s)

`string`

## Holds a reference to the project that a project component (a task, a target, etc.) belongs to

    project : \Project

inherited

var | A reference to the current project instance

### Type(s)

`\Project`